Bug 1301466 - [Docs] [Ironic] Implement feedback on the Bare Metal Provisioning Guide
[Docs] [Ironic] Implement feedback on the Bare Metal Provisioning Guide
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
8.0 (Liberty)
Unspecified Unspecified
high Severity medium
: ga
: 8.0 (Liberty)
Assigned To: Martin Lopes
RHOS Documentation Team
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-25 02:05 EST by Andrew Dahms
Modified: 2016-01-28 21:00 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-28 21:00:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Dahms 2016-01-25 02:05:20 EST
The following updates must be made to the Bare Metal Provisioning Guide -

1) Add pxe-irmc to the list of Ironic drivers in section 2.1.

2) Specify 'grub2' as an option in the command in Step 5. of Section 2.2.

3) Add instructions on how to configure a HTTP proxy for connecting to the 
   Customer Portal / CDN in Step 3 of Section 2.2. Is it sufficient to set the
   HTTPS_PROXY parameter?

4) Changed 'aki_' to 'aki' in the glance command in Step 8 of Section 2.2.

5) Confirm whether nodes are in an 'available' state after Step 8 of Section 
   2.6.1, or whether users need to run the command 'ironic node-set-
   provision-state <NODE> provide' to move the node into this state.

6) Change 'allowing TCP traffic' to 'allowing UDP traffic' in Step 8 of Section 
   2.4.
Comment 1 Andrew Dahms 2016-01-26 23:34:54 EST
Assigning to Martin for review.
Comment 3 Martin Lopes 2016-01-27 22:41:47 EST
Added fixes 1-4 and 6.

Note about number 3: Added options for http_proxy and https_proxy. These have inconsistent case from the other values: the code handles these as lowercase options.
Comment 4 Martin Lopes 2016-01-27 23:15:27 EST
Fix no.5 - Dan confirmed in his lab that the node automatically enters that 'available' state.
Comment 8 Martin Lopes 2016-01-28 20:41:16 EST
Added updates, as requested:

* Changed `pxe-irmc` to `pxe_irmc`
* Changed proxy values to `IP_address:port`
Comment 11 Andrew Dahms 2016-01-28 20:58:49 EST
I can confirm that the requested changes have been implemented.

Moving to VERIFIED.
Comment 12 Andrew Dahms 2016-01-28 21:00:10 EST
These changes are now live on the Customer Portal.

Closing.

Note You need to log in before you can comment on or make changes to this bug.